Subject: Re: [PATCH 5/7] CAN: Add virtual CAN netdevice driver

From: Patrick McHardy <[email-masked]>
Date: Tue, 25 Sep 2007 16:47:00 +0200

Urs Thuermann wrote:
> YOSHIFUJI Hideaki / È£ÑÀ  <[email-masked]> writes:
> 
> 
>>I'm not a lawyer, but the following lines:
>>
>>| + * Alternatively, provided that this notice is retained in full, this
>>                     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>>| + * software may be distributed under the terms of the GNU General
>>| + * Public License ("GPL") version 2 as distributed in the 'COPYING'
>>| + * file from the main directory of the linux kernel source.
>>
>>make this whole licence imcompatible with GPL.
> 
> 
> I'm no lawyer at all, either.  And also Oliver is not, but he has
> carried out the fights with our company lawyers.  Maybe he can say
> something about whether we can change this.
> 
> 
>>I do think you need to allow people to select GPLv2 only.
> 
> 
> The sentence you cite *does* allow distribution under GPLv2 only.  And
> I think I have often read the restriction to retain such licences in
> full in GPLv2 code.  Is that really incompatible?

Not that it necessarily means its valid, but there are multiple
files in the kernel that carry the exact same term:

arch/x86_64/crypto/aes.c
arch/i386/crypto/aes.c
crypto/gf128mul.c
crypto/aes.c
drivers/net/ppp_mppe.c
drivers/crypto/padlock-aes.c
include/crypto/b128ops.h
include/crypto/gf128mul.h

OTOH I tend to agree with Yoshifuji that once someone has
selected the GPL and has made enough changes that no parts
"can be reasonably considered independent and separate works",
it seems like an additional and confusing restriction to be
forced to retain ineffective licensing terms.

But since I'm not a lawyer either I'm going to refrain from
further speculation :)